package com.hzya.frame.grpU8.acctVouchInfo.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.web.entity.JsonResultEntity;
import com.hzya.frame.grpU8.acctVouchInfo.entity.AcctVouchInfoEntity;
import com.hzya.frame.basedao.service.IBaseService;
/**
 * 子表(AcctVouchInfo)表服务接口
 *
 * @author makejava
 * @since 2024-07-09 11:25:15
 */
public interface IAcctVouchInfoService extends IBaseService<AcctVouchInfoEntity, String>{
    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 数据表
     * @Date 11:52 上午 2024/3/27
     **/
    Object queryData(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 数据表
     * @Date 11:52 上午 2024/3/27
     **/
    SysExtensionApiEntity addDataSourceCode(SysExtensionApiEntity jsonObject);

    /**
     * @Author lvleigang
     * @Description  查询凭证目录
     * @Date 1:48 下午 2024/8/27
     * @param object
     * @return java.lang.Object
     **/
    Object queryPzml(JSONObject object);

    Object queryPznr(JSONObject object);

    Object queryPz(JSONObject object);

    Object queryPzPage(JSONObject object);
}
